<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	exclude-result-prefixes="xpil"
	xmlns:prop="java.util.Properties"
	xmlns:xpil="http://www.together.at/2006/XPIL1.0"
	xmlns:xpd="http://www.wfmc.org/2002/XPDL1.0" version="1.0">
	<xsl:template name="Prop">
		<xsl:param name="string" />
		<xsl:param name="delimiter" select="', '" />
		<xsl:choose>
			<xsl:when test="$delimiter and contains($string, $delimiter)">
				
				<xsl:variable name="str">
					<xsl:value-of
						select="substring-before($string,$delimiter)" />
				</xsl:variable>
				
				<xsl:choose>
			      <xsl:when test="'=' and contains($str,'=')">
				   <xsl:variable name="pr">
				 	<xsl:value-of
						select="substring-before($str,'=')" />
				   </xsl:variable>
				   <xsl:variable name="val">
					<xsl:value-of
						select="substring-after($str,'=')" />
				    </xsl:variable>
				    <xsl:variable name="p" select="prop:setProperty($pr,$val)"/>
				 </xsl:when>
				 </xsl:choose>
				 
				<xsl:call-template name="Prop">
					<xsl:with-param name="string"
						select="substring-after($string,$delimiter)" />
					<xsl:with-param name="delimiter"
						select="$delimiter" />
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:variable name="str">
					<xsl:value-of select="$string" />
				</xsl:variable>
				<xsl:choose>
			      <xsl:when test="'=' and contains($str,'=')">
				   <xsl:variable name="pr">
				 	<xsl:value-of
						select="substring-before($str,'=')" />
				   </xsl:variable>
				   <xsl:variable name="val">
					<xsl:value-of
						select="substring-after($str,'=')" />
				    </xsl:variable>
				    <xsl:variable name="p" select="prop:setProperty($pr,$val)"/>
				 </xsl:when>
				 </xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
</xsl:stylesheet>
